Skip to main content
PATCH
/
api
/
external
/
companies
/
{companyId}
/
payees
/
{payeeId}
curl --request PATCH \ --url https://app.aiinsurance.io/api/external/companies/{companyId}/payees/{payeeId} \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Smith & Partners Law Firm" } '
{ "id": "550e8400-e29b-41d4-a716-446655440001", "companyId": "660e8400-e29b-41d4-a716-446655440000", "name": "Smith & Partners Law Firm", "payeeType": "lawFirm", "email": "newcontact@smithlaw.com", "alternateEmails": [ "billing@smithlaw.com", "legal@smithlaw.com" ], "phoneNumber": "+1-555-999-8888", "description": "Defense law firm specializing in insurance litigation", "address": "123 Legal Plaza, Suite 500, New York, NY 10001", "addressStructured": { "streetNumber": "123", "streetName": "Legal Plaza", "city": "New York", "state": { "short": "NY", "long": "New York" }, "postalCode": "10001", "country": "US" }, "lawFirmType": "defense", "bankInfo": { "bankAccountNumber": "****4321", "bankRoutingNumber": "****6789" }, "taxIdNumber": "12-3456789", "externalPayee": null, "createdAt": "2025-01-15T10:30:00.000Z", "createdBy": "880e8400-e29b-41d4-a716-446655440000", "updatedAt": "2025-01-20T09:00:00.000Z", "updatedBy": "880e8400-e29b-41d4-a716-446655440000" }

Authorizations

Authorization
string
header
required

API key authentication. Include your key in the Authorization header: Authorization: ApiKey YOUR-API-KEY

Path Parameters

companyId
string<uuid>
required

Company identifier

payeeId
string<uuid>
required

Payee identifier

Body

application/json

Request body for updating a payee. Only include fields you want to change.

name
string

Update payee name

payeeType
enum<string>

Type of payee

Available options:
lawFirm,
expert,
vendor,
other,
financingCompany
email
string<email> | null

Update email (send null to clear)

alternateEmails
string<email>[]

Update alternate emails

phoneNumber
string

Update phone number

description
string

Update description

address
string

Update unstructured address

addressStructured
object

Structured address with parsed components (payee-specific format)

lawFirmType
enum<string>

Type of law firm (only applicable when payeeType is lawFirm)

Available options:
defense,
plaintiff
bankInfo
object

Bank account information for payments

taxIdNumber
string

Update tax ID number

externalPayee
object

Reference to an external payee in another system

createdAt
string<date-time>

Update creation timestamp (ISO 8601)

Response

Payee updated successfully

A payee entity (law firm, expert, vendor, etc.)

id
string<uuid>

Payee identifier

companyId
string<uuid> | null

Company identifier

name
string

Payee name

payeeType
enum<string>

Type of payee

Available options:
lawFirm,
expert,
vendor,
other,
financingCompany
email
string<email> | null

Primary email address

alternateEmails
string<email>[] | null

Additional email addresses

phoneNumber
string | null

Phone number

description
string | null

Description of the payee

address
string | null

Unstructured address string

addressStructured
object

Structured address with parsed components

lawFirmType
enum<string>

Type of law firm (only for payeeType lawFirm)

Available options:
defense,
plaintiff
bankInfo
object

Bank account information

taxIdNumber
string | null

Tax identification number

externalPayee
object

Reference to payee in external system

createdAt
string<date-time> | null

When the payee was created (ISO 8601)

createdBy
string<uuid> | null

User ID who created the payee

updatedAt
string<date-time> | null

When the payee was last updated (ISO 8601)

updatedBy
string<uuid> | null

User ID who last updated the payee